<?php 

/*function add_theme_scripts() {

  wp_dequeue_style( 'wp-bootstrap-starter-style' );
  
  // child style ( this loads the css from the child folder after parent-style )
  wp_enqueue_style('vida180', get_stylesheet_directory_uri() .'/css/vida180.css', array('fonts'), '1.11', 'all');
  
 
  wp_enqueue_script( 'script', get_bloginfo('stylesheet_directory') . '/js/vida180.js', array ( 'jquery' ), 1.1, true);
 
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'add_theme_scripts' );*/

function add_widgets_init() {

	register_sidebar( array(
		'name'          => 'Top Bar',
		'id'            => 'top-bar',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );
	register_sidebar( array(
		'name'          => 'Banner-1',
		'id'            => 'banner-1',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );
	register_sidebar( array(
		'name'          => 'Banner-2',
		'id'            => 'banner-2',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );
	register_sidebar( array(
		'name'          => 'Banner-3',
		'id'            => 'banner-3',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );
	register_sidebar( array(
		'name'          => 'Footer Info',
		'id'            => 'footer-info',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );
	register_sidebar( array(
		'name'          => 'Footer Navigation',
		'id'            => 'footer-nav',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );
	register_sidebar( array(
		'name'          => 'Copyright Zone',
		'id'            => 'copy-zone',
		'before_widget' => '<div>',
		'after_widget'  => '</div>'		
	) );

}
add_action( 'widgets_init', 'add_widgets_init' );
function cc_mime_types($mimes) {
  $mimes['svg'] = 'image/svg+xml';
  return $mimes;
}
add_filter('upload_mimes', 'cc_mime_types');

function add_theme_scripts() {
  wp_enqueue_script( 'scrollreveal', get_bloginfo('stylesheet_directory') . '/js/scrollreveal.min.js', array ( 'jquery' ), 1.0, true);    
  wp_enqueue_script( 'script', get_bloginfo('stylesheet_directory') . '/js/vida180.js', array ( 'jquery' ), 1.0, true);
  
  
}
add_action( 'wp_enqueue_scripts', 'add_theme_scripts' );
